aboutsummaryrefslogtreecommitdiff
path: root/store/works/life/algorithm-contest-3/zip.bash
diff options
context:
space:
mode:
Diffstat (limited to 'store/works/life/algorithm-contest-3/zip.bash')
-rwxr-xr-xstore/works/life/algorithm-contest-3/zip.bash11
1 files changed, 11 insertions, 0 deletions
diff --git a/store/works/life/algorithm-contest-3/zip.bash b/store/works/life/algorithm-contest-3/zip.bash
new file mode 100755
index 0000000..519dd45
--- /dev/null
+++ b/store/works/life/algorithm-contest-3/zip.bash
@@ -0,0 +1,11 @@
+if [ $# -ne 1 ]
+then
+ echo "please provide exact one argument, problem number"
+ exit 1
+fi
+
+pushd ./output/$1/
+zip ./$1.zip *.in *.out
+popd
+
+mv ./output/$1/$1.zip ./output